### Function

# Gimp context_get_line_dash_pattern

since: 2.10

#### Declaration [src]

    gboolean
    gimp_context_get_line_dash_pattern (
      gint* num_dashes,
      gdouble** dashes
    )

#### Description [src]

Get the line dash pattern setting.

Returns the line dash pattern setting.

Available since: 2.10

#### Parameters

`num_dashes`

  Type: `gint*`

  The number of dashes in the dash_pattern array.

  The argument will be set by the function.

`dashes`

  Type: An array of `double`

  The line dash pattern setting.

  The argument will be set by the function.
  The length of the array is specified in the `num_dashes` argument.
  The caller of the function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.